
TopTagz							User's Manual					TopTagz
                    Last revision date: March 28, 1996

NAME
	TopTagz - the top files downloader

SYNOPSIS
	toptagz

DESCRIPTION
	As you know, ProBoard's PBUTIL maintenace utility can generate lists
	of the top files downloaded from your board. It would be nice if you
	can let your users download those files instead of having them search
	through all the file areas for them. Thanks to the original idea from
	Timothy Bryant, TopTagz was born in one day between two gutwrenching
	Cobol-74 assignments :-). It is a full screen ANSi lister which
	will let your users download any of the tops files. Users can also tag
	files in the list for download.

	TopTagz uses an optimized index file generated by SCIUTIL to find all
	the files. Note that you must have the TOPFILES.ASC generated by
	'PBUTIL FC -F -Nxx', where 'xx' is the number of top files you want to
	include in this list. Then you need to run 'SCIUTIL TF' to generate
	the index. The best thing is to place the SCIUTIL command right after
	the topfile list generation in your daily maintanace. Here's what I
	have set up here:

					pbutil fc -f -n30
					sciutil tf

	When SCIUTIL.EXE runs with this parameter, it will generate the file
	TOPFILES.IDX and place it in the ProBoard system directory. TopTagz
	will always attempt to use it and will not work without it (it will
	post a message to your log file if it cannot find it).

	Users can use the arrow keys (or the numpad keys) to navigate through
	the list. Home/End are also supported. Space will toggle the tag on
	the current file, and there are commands to tag/untag all files in the
	list. Users can press Enter to get the currently highlighted file or
	they can use the Get command to download all tagged files.

	There's also the issue of the protocol to use. The new ProBoard has
	a function that lets the users choose the default protocol. This is
	the hotkey that TopTagz will use. If you are using an earlier
	version, the you can use the Protocol option in the config file to
	specify the protocol to use (this is a required thing under versions
	earlier than 2.15, if you don't use a program to do that, of course).

CUSTOMIZE
	You can customize all the colors and some of the characters that
	TopTagz uses. To do this, you will need to edit or create the
	SILICON.INI file in your ProBoard system directory. This is simple
	text file with a Windows-style format. All tehe entried that can
	be used by TopTagz should be placed in the [TopTagz] domain. You
	can refer to the sample SILICON.INI file included in this archive.
	It specifies the settings that are actually the same as the deafults
	which TopTagz will use if it cannot find the file.

	SILICON.INI is shared by several applications and if you already
	have it, you can simply append the new entried to the end. Note
	that you need only specify the keywords you need as TopTagz will
	use the built-in defaults if it cannot find a keyword.

	Another interesting customization option is the ability to use
	ProBoard language prompts for the status line and the save question.
	These are just normal prompts in your language files. You need to edit
	them just like a normal prompt (refer to the ProBoard documentation).
	I suggest you leave them one-line high or the result can be very ugly.
	You cannot customize the keys (currently), so make sure you list them
	the way you want. Of course, this means that one or two language
	prompts from your language files will not be suitable for their normal
	application. This is fine, as the language files usually have 30-40
	entries that are not used for the board. On my BBS, these are prompts
	153-176, 201-222, and 289-316 (but can be any prompts you select). If
	you decide to use the custom prompts, edit them with ProCFG and then
	place the number in SILICON.INI, like this:

					[TopTagz]
					StatusPrompt=154

	If TopTagz find this entry, it will automatically use the prompt you
	specified. You can have the @aFILENAME@ and @pFILENAME@, as usual
	(but it is not recommended). If TopTagz cannot find it, it will
	default to the built-in prompt. If you decide to use this option,
	it will be a good idea to generate the index for the language file(s)
	you use. The index needs to be generated only once after you edit
	the file. Use the command 'SCIUTIL LI <filename>' where 'filename'
	is the root name of the file. For example:

					sciutil li english

	You can specify multiple names on the command line. This will create
	the file <filename>.PLI in the system directory. If TopTagz finds
	this file and if you specified a prompt from the language file that
	it should use, it will look at the index and locate the necessary
	prompt a lot faster. You don't have to index the file as TopTagz will
	detect an out-of-date or non-existant indices and will switch to
	the (much slower) sequential load mode.

OPTIONS
	None.

FILES
	toptagz.pex		the ProBoard executable
	toptagz.exe		check-out exe file (you can safely delete it)
	sciutil.exe		the indexing program (required)
	topfiles.idx	the index generated by SCIUTIL (maintained by it only)

IDENTIFICATION
	Author: Branislav L. Slantchev
	Revision Number: 1.0r1
	Release Date: March 28, 1995
	Copyright (C) 1996 by Branislav L. Slantchev

LEGAL
	TopTagz uses routines from PB-Lib:
	PB-Lib C/C++ Library for ProBoard Programmers
	Copyright (C) 1995-1996 by Branislav L. Slantchev
	A Product of Silicon Creations, Inc.

	TopTagz was compiled with the following products:
	BCC 3.1, TLINK 5.22b, TLIB 3.02, MAKE 3.6, Copyright by Borland Int'l.

	TopTagz (all executables, source and documentation files) are
	Copyright (C) 1996 by Branislav L. Slantchev.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	If you find this program useful, drop me a post card at the mail
	address (see file SUPPORT.DOC). I will really appreciate that.

SEE ALSO
	README.DOC for quick installation tips

